From: Heinz Mauelshagen <hjm@redhat.com>

Export dm_disk so target modules may use it.
It's already part of the published interface in include/linux/device-mapper.h.

Signed-off-by: Heinz Mauelshagen <hjm@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm.c |    1 +
 1 files changed, 1 insertion(+)

Index: linux-2.6.25/drivers/md/dm.c
===================================================================
--- linux-2.6.25.orig/drivers/md/dm.c	2008-04-18 16:54:17.000000000 +0100
+++ linux-2.6.25/drivers/md/dm.c	2008-04-22 23:34:37.000000000 +0100
@@ -1626,6 +1626,7 @@ struct gendisk *dm_disk(struct mapped_de
 {
 	return md->disk;
 }
+EXPORT_SYMBOL_GPL(dm_disk);
 
 int dm_suspended(struct mapped_device *md)
 {
